## org.eclipse.amp.axf.view
Class SWTThreadModelListener

    java.lang.Object
      org.eclipse.amp.axf.core.AbstractLifecycleListener
          org.eclipse.amp.axf.view.SWTThreadModelListener

All Implemented Interfaces:
  ILifeCycleListener, IStateListener

Direct Known Subclasses:
  SWTAsyncModelListener

    public abstract class SWTThreadModelListener

extends AbstractLifecycleListener

The listener interface for receiving SWTThreadModel events. The class that is interested in processing a SWTThreadModel event implements this interface, and the object created with that class is registered with a component using the component's `addSWTThreadModelListener`method. When the SWTThreadModel event occurs, that object's appropriate method is invoked.``

See Also:
  `SWTThreadModelEvent`

Constructor Summary
`SWTThreadModelListener(org.eclipse.swt.widgets.Control widget, java.lang.String name)` Instantiates a new sWT thread model listener.

Method Summary
`org.eclipse.swt.widgets.Control` `getWidget()`
`void` `setWidget(org.eclipse.swt.widgets.Control widget)` Sets the widget.
`abstract void` `update(IModel model)` Update.

Methods inherited from class org.eclipse.amp.axf.core.AbstractLifecycleListener
`getListener, getName, observationEnd, observationEnding, observeCreate, observeInitialize, observeStart, observeStop, observeUpdate, observing, setName, stateChange, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTThreadModelListener

    public SWTThreadModelListener(org.eclipse.swt.widgets.Control widget,
                                  java.lang.String name)

  Instantiates a new sWT thread model listener.

  Parameters:
    `widget` - the widget
    `name` - the name

Method Detail

### update

    public abstract void update(IModel model)

  Update.

  Parameters:
    `model` - the model

### setWidget

    public void setWidget(org.eclipse.swt.widgets.Control widget)

  Sets the widget.

  Parameters:
    `widget` - the new widget

### getWidget

    public org.eclipse.swt.widgets.Control getWidget()

  Returns:
    the widget